$(document).ready(function() {

  (function (window, $) {
  'use strict';
  var document = window.document;
  
  	// Contact Form
	AjaxForm.Message.success = function() {};
  	$(document).on('af_complete', function(event, response) {
		var fields = {
			name: "Имя",
			email: "Email",
			phone: "Телефон",
			message: "Сообщение",
		};
    var form = response.form;
    // Если у формы определённый id
    if (form.attr('id') == 'zayavka') {
	 if (response.success) {
		$('#kursModal').modal('hide');
		$("#success-response").fadeIn(700);
	  }
    }
	else {
		if (response.success) {
			// Скрываем форму и показываем блок!
			response.form.hide();
			$("#success-response").fadeIn(700);
		} else {
			for (var prop in response.data) {
				// Выводим сообщение через jGrowl для всех полей с ошибками.
				// Если хотите, чтобы сообщения оставались, добавьте вторым параметром true
				AjaxForm.Message.error("Заполните поле '"+fields[prop]+"'");
				// Отменяем вывод стандартного сообщения
				response.message='';
			}
		}
	}
	});
	// Вешаем обработчик
	$(document).on('click', '#onemore-feedback', function(e) {
		$("#success-response").fadeOut();
		$("#contactform").fadeIn();
		$(".zapis").fadeIn();
		e.preventDefault();
	});
  
  	$('#kursModal').on('shown.bs.modal', function () {
	  $('#myInput').focus()
	})
	
  })(window, jQuery);
});